Bug 125144 - touchpad mouse issue
Summary: touchpad mouse issue
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.3.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-06 21:13 UTC by Liz
Modified: 2021-06-06 05:25 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Liz 2019-05-06 21:13:02 UTC
Description:
can not move sliders in ruler using left-handed touchpad mouse configuration

clicking either button generates a traditional right click menu

no way to access ruler sliders

Steps to Reproduce:
1. use left-handed touchpad mouse
2.
3.

Actual Results:
menu instead of moving slider

Expected Results:
moving slider


Reproducible: Always


User Profile Reset: No



Additional Info:
Dell Inspiron 15 3542 Intel Processor running Win8.1 with updates

Libreoffice Writer
Version: 6.2.3.2 (x64)
Build ID: aecc05fe267cc68dde00352a451aa867b3b546ac
CPU threads: 2; OS: Windows 6.3; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

reset profile...?
this is a fresh install & update of Win8.1
and a fresh install of LibreOffice

OpenGL 4.2 from what I can tell
Comment 1 Xisco Faulí 2019-05-09 09:46:52 UTC
Does it work if you disable OpenGl ? -> https://wiki.documentfoundation.org/OpenGL

I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the issue is still present
Comment 2 Liz 2019-05-13 19:12:41 UTC
Connected mouse & it works fine left-handed.
It is the Dell TouchPad that has issues.

Have not tried turning of OpenGL yet.
Though it should work regardless.
I have had no issues with other Windows Programs.
Comment 3 QA Administrators 2019-05-14 03:02:31 UTC Comment hidden (obsolete)
Comment 4 Liz 2019-05-14 22:39:45 UTC
Seems the Touchpad is having issues.
Looks to be a common issue with Dell Laptops.

Could be the Logitech Driver - setpoint.
In the past Logitech did not get along well with Touchpads.

Then there's the fact I use a left-handed mouse.

I keep trying things and...

Best solution so far is to plug in the Logitech Device when using Libre Office.

Got to love computers - NOT!
Comment 5 Xisco Faulí 2019-06-06 16:36:24 UTC
it seems to be a duplicate of bug 125201

*** This bug has been marked as a duplicate of bug 125201 ***
Comment 6 Michael Weghorn 2019-06-06 17:07:49 UTC
(In reply to Xisco Faulí from comment #5)
> it seems to be a duplicate of bug 125201
> 
> *** This bug has been marked as a duplicate of bug 125201 ***

I think this should be investigated separately, since bug 125201 is on Ubuntu and this one here on Windows, and this sounds rather like a platform-specific issue.
Comment 7 QA Administrators 2021-06-06 05:25:41 UTC
Dear Liz,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug